package com.demo.entity.po;

import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection="Secret")
public class Secret {

    private String gorganization;
    private String publicRsaKey;
    private String privateRsaKey;
    private String aesKey;
    private long timestamp;
    private Boolean status;//0不可用  1可用

    public Secret() {
    }

    public Secret(String gorganization, String publicRsaKey, String privateRsaKey, String aesKey, long timestamp, Boolean status) {
        this.gorganization = gorganization;
        this.publicRsaKey = publicRsaKey;
        this.privateRsaKey = privateRsaKey;
        this.aesKey = aesKey;
        this.timestamp = timestamp;
        this.status = status;
    }

    public String getGorganization() {
        return gorganization;
    }

    public void setGorganization(String gorganization) {
        this.gorganization = gorganization;
    }

    public String getPublicRsaKey() {
        return publicRsaKey;
    }

    public void setPublicRsaKey(String publicRsaKey) {
        this.publicRsaKey = publicRsaKey;
    }

    public String getPrivateRsaKey() {
        return privateRsaKey;
    }

    public void setPrivateRsaKey(String privateRsaKey) {
        this.privateRsaKey = privateRsaKey;
    }

    public String getAesKey() {
        return aesKey;
    }

    public void setAesKey(String aesKey) {
        this.aesKey = aesKey;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }
}
